// Copyright(c) Alberto C. //
// Svga256.cpp  - Funzioni per le modalita' a 256 colori       - 03/02/2002 //
////
#include "svga256.h"
//
//funzioni huge per le modalita' grafiche
int huge svga0 () { return 0; }//320x200
int huge svga1 () { return 1; }//640x400
int huge svga2 () { return 2; }//640x480
int huge svga3 () { return 3; }//800x600
int huge svga4 () { return 4; }//1024x768
//
/* INIT_GRAPH: Setta la modalita' grafica desiderata
I1: mode | risoluzione= { 0, 1, 2, 3, 4 }
I2: path | percorso di svga256.bgi
O : int  | 0: OK; -1: error
*/
int init_graph (int mode, char path[]) {
    //inizializzazione della modalita' del driver
    int driver;
    switch (mode) {
        case 0:
            driver=installuserdriver ("SVGA256", svga0);
            break;
        case 1:
            driver=installuserdriver ("SVGA256", svga1);
            break;
        case 3:
            driver=installuserdriver ("SVGA256", svga3);
            break;
        case 4:
            driver=installuserdriver ("SVGA256", svga4);
            break;
        default:
            mode=2;
            driver=installuserdriver ("SVGA256", svga2);
            break;
    }//switch
    //cambio della modalita'
    initgraph ( &driver, &mode, path);
    //controllo errori
    int errorcode=graphresult();
	if (errorcode!=grOk)
		return -1;
	return 0;
}//init_graph
//
